For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get

Retrieve an existing section

Parameters:

Name

Optional / Required

Data type

Description

Default

id

required

String

One of your section ids

return_fields

optional

String

Customize the responses by setting the return fields (id, create_date, update_date, name, description, sorting, order, documents)

id, create_date, update_date, name, description, sorting, order, documents

Demo

URL Find your token on - yumpu.com Token

id

Optional parameters:

return_fields

Add optional parametersRun request

Example:

curl -X GET -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" "https://api.yumpu.com/2.0/collection/section.json?id=iMWWKoMS76pjqMoO_2mqhaSEMTVpvFwrY"

Example:

require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'id'=>'iMWWKoMS76pjqMoO_2mqhaSEMTVpvFwrY',
);
$listSection = $yumpu->getSection($data);
print_r($listSection);

Example:

var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = '{
  id: 'iMWWKoMS76pjqMoO_2mqhaSEMTVpvFwrY',
  return_fields: 'id,create_date,update_date,name,description,sorting,order,documents'
}';
yumpu.getSection(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});

Example:

Whatever language you are using, the result will be the same.

Last updated